View Issue Details

IDProjectCategoryView StatusLast Update
0000096Freifunk Franken Firmware[All Projects] Generalpublic2019-10-02 12:49
ReporterAdrian Schmutzler Assigned ToAdrian Schmutzler  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version20180726-beta 
Target Versionnext-featureFixed in Versionnext-stable 
Summary0000096: nodewatcher und configurehood laufen zeitgleich
Descriptionnodewatcher und configurehood werden beide mit */5 im micrond gestartet.
Der nodewatcher hat zusätzlich ein random(0;30) sleep (ungefähr, hab nicht nachgesehen).

Effektiv wird beides also grob gleichzeitig ausgeführt. Dies kann zu unsinnigen Daten führen, wenn z.B. in configurehood gerade die Interfaces neu konfiguriert werden und gleichzeitig der nodewatcher Daten dazu erhebt.

Die primitive Lösung ist das Verschieben eines der beiden microns auf ein versetztes Intervall.

Da das Timing des nodewatchers mit Alfred-Master sowie Monitoring synchronisiert ist (und es erstrebenswert wäre, wenn das für alle Router grob gleich bleibt), würde ich configurehood mit 3-59/* starten, dann ist der Abstand gegeben und das Intervall bleibt gleich.
TagsNo tags attached.

Relationships

has duplicate 0000112 closedAdrian Schmutzler Router wird 2x im Monitoring angezeigt 

Activities

reddog

2018-03-08 19:24

manager   ~0000257

Configurehood sollte nur in seltenden Fällen etwas umkonfigurieren. Von daher ist der Impact sehr gering. Nodewatcher sollte damit klar kommen. Letztlich kann das immer irgendwie blöde verquickungen geben.

Adrian Schmutzler

2018-03-08 19:34

manager   ~0000258

Es gibt aber in meinen Augen keinen Grund, es nicht zu ändern.

Adrian Schmutzler

2018-03-08 21:52

manager   ~0000259

https://pw.freifunk-franken.de/patch/818/ (with low priority)

Adrian Schmutzler

2018-11-07 21:09

manager   ~0000309

https://github.com/FreifunkFranken/firmware/commit/dc4746eae9f111e99538a3217df053eb16950e11

Issue History

Date Modified Username Field Change
2018-03-08 18:25 Adrian Schmutzler New Issue
2018-03-08 18:25 Adrian Schmutzler Status new => assigned
2018-03-08 18:25 Adrian Schmutzler Assigned To => Adrian Schmutzler
2018-03-08 19:24 reddog Note Added: 0000257
2018-03-08 19:34 Adrian Schmutzler Note Added: 0000258
2018-03-08 21:52 Adrian Schmutzler Note Added: 0000259
2018-09-01 00:15 Adrian Schmutzler Relationship added has duplicate 0000112
2018-11-07 21:09 Adrian Schmutzler Status assigned => resolved
2018-11-07 21:09 Adrian Schmutzler Resolution open => fixed
2018-11-07 21:09 Adrian Schmutzler Fixed in Version => next-stable
2018-11-07 21:09 Adrian Schmutzler Note Added: 0000309
2019-10-02 12:48 fbl Category Freifunk Franken Firmware => General
2019-10-02 12:48 fbl Category General => General2
2019-10-02 12:49 fbl Category General2 => General